> This page is for APIs, version Calculations.
> For other versions, use one of these documentation indexes:
> - Overview (default): https://avalara.ferndocs.com/api-reference/overview/llms.txt
> - Calculations: https://avalara.ferndocs.com/api-reference/calculations/llms.txt
> - E-invoicing: https://avalara.ferndocs.com/api-reference/e-invoicing/llms.txt
> - Brazil: https://avalara.ferndocs.com/api-reference/brazil/llms.txt
> - Returns: https://avalara.ferndocs.com/api-reference/returns/llms.txt
> - Shared service: https://avalara.ferndocs.com/api-reference/shared-service/llms.txt
> - 1099 & W-9: https://avalara.ferndocs.com/api-reference/1099-w9/llms.txt
> - Tax registrations & business licenses: https://avalara.ferndocs.com/api-reference/tax-registrations/llms.txt
> - ECM: https://avalara.ferndocs.com/api-reference/ecm/llms.txt
> - Cross-Border: https://avalara.ferndocs.com/api-reference/cross-border/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://avalara.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://avalara.ferndocs.com/_mcp/server.

# Get Premium Classification

GET https://rest.avatax.com/api/v2/companies/{companyId}/items/{itemCode}/premiumClassification/{systemCode}

> **Access control:** this endpoint is available to users with the `everyone` role.

Retrieves the premium classification for an ItemCode and SystemCode.
            
NOTE: If your item code contains any of these characters /, +, ?,",' ,% or #, please use the following encoding before making a request:
* Replace '/' with '\_-ava2f-\_'  For example: 'Item/Code' becomes 'Item_-ava2f-_Code'
* Replace '+' with '\_-ava2b-\_'  For example: 'Item+Code' becomes 'Item_-ava2b-_Code'
* Replace '?' with '\_-ava3f-\_'  For example: 'Item?Code' becomes 'Item_-ava3f-_Code'
* Replace '%' with '\_-ava25-\_'  For example: 'Item%Code' becomes 'Item_-ava25-_Code'
* Replace '#' with '\_-ava23-\_'  For example: 'Item#Code' becomes 'Item_-ava23-_Code'
* Replace ''' with '\_-ava27-\_'  For example: 'Item'Code' becomes 'Item_-ava27-_Code'
* Replace '"' with '\_-ava22-\_'  For example: 'Item"Code' becomes 'Item_-ava22-_Code'

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.


Reference: https://avalara.ferndocs.com/api-reference/calculations/ava-tax/public-reference/get-premium-classification

## Authentication

- `Authorization` header (required) — API Key authentication via header

## Request

### Path parameters

- `companyId` (integer, required) — The ID of the company that owns this item object
- `itemCode` (string, required) — The ItemCode of the item for which you want to retrieve premium classification
- `systemCode` (string, required) — The SystemCode for which you want to retrieve premium classification

### Query parameters

- `country` (string, optional) — Optional: Provide the country for which you want to retrieve the premium classification.

### Headers

- `X-Avalara-Client` (string, optional, default: Swagger UI; 26.7.0; Custom; 1.0) — Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) .

## Response

### 200

Success

- `id` (string, optional) — ItemPremiumClassificationDetailId
- `itemCode` (string, optional) — Item associated with this premium classification.
- `companyId` (integer, optional) — CompanyId with which the Item is associated.
- `hsCode` (string, optional) — The HS code associated with this item's premium classification.
- `systemCode` (string, optional) — SystemCode associated with this premium classificaitons.
- `justification` (string, optional) — Justification why this HsCode is attached to this item.
- `createdDate` (datetime, optional) — The date when this record was created.
- `createdUserId` (integer, optional) — The user who created the record.
- `country` (string, optional) — The country code associated with this premium classification.

## Errors

### 400 Bad Request Error

Bad Request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not Found

- `any`

## Examples

**Response**

```json
{
  "itemCode": "ADP101",
  "companyId": 12345,
  "hsCode": "8528620000",
  "systemCode": "HTS",
  "justification": "This projector is directly connected with ADP machine;(ITBTI2020-0052M-135100) BTI Reference ,(N293311) ruling.",
  "createdDate": "2026-07-06T22:07:01.436757Z",
  "createdUserId": 12345,
  "country": "US"
}
```

**SDK Code**

```python
import requests

url = "https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.avatax.com/api/v2/companies/1/items/itemCode/premiumClassification/systemCode")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```